<?php
 


class Limex_Advr_IndexController extends Mage_Core_Controller_Front_Action
{
    public function geoExportAction()
    {
        $page = intval($this->getRequest()->getParam('page'));

        $collection = Mage::getModel('advr/postcode')->getCollection()
            ->addFieldToFilter('updated', 1)
            ->setPageSize(100)
            ->setCurPage($page);

        echo $collection->getSize().'<br>';
        
        foreach ($collection as $postcode) {
            echo $postcode->getCountryId()
                .';'.$postcode->getPostcode()
                .';'.$postcode->getPlace()
                .';'.$postcode->getState()
                .';'.$postcode->getProvince()
                .';'.$postcode->getCommunity()
                .';'.$postcode->getLat()
                .';'.$postcode->getLng()
                .'<br>';
        }
    }

    public function geoUpdateAction()
    {
        Mage::getSingleton('advr/postcode')->copyUnknown(true);
        Mage::getSingleton('advr/postcode')->batchUpdate(true);
        Mage::getSingleton('advr/postcode')->batchMerge(true);
    }
}
