<?php
 


class Limex_Advd_Model_Config
{
    public function getWidgets()
    {
        $result = array();

        $path = Mage::getModuleDir('', 'Limex_Advd').DS.'Block'.DS.'Adminhtml'.DS.'Widget';
        $io   = new Varien_Io_File();
        $io->open();
        $io->cd($path);

        foreach ($io->ls(Varien_Io_File::GREP_DIRS) as $dir) {
            if ($dir['text'] == 'Abstract') {
                continue;
            }
            $io->cd($dir['id']);

            foreach ($io->ls(Varien_Io_File::GREP_FILES) as $widget) {
                $blockPath = strtolower('advd/adminhtml_widget_'.$dir['text'].'_'.str_replace('.php', '', $widget['text']));
                $block = Mage::app()->getLayout()->createBlock($blockPath);

                if ($block && $block->isEnabled()) {
                    $result[$blockPath] = $block;
                }
            }
        }

        return $result;
    }

    public function isReplaceDashboardLink()
    {
        return Mage::getStoreConfig('advr/view/replace_dashboard_link');
    }
}