<?php
 


class Limex_MstCore_Helper_Help extends Mage_Core_Helper_Abstract
{
    protected $_help = array();

    public function field($field)
    {
        $backtrace = debug_backtrace();
        $form = explode('_', $backtrace[1]['class']);
        $scope = array();
        for ($i = 4; $i < count($form); $i++) {
            $scope[] = $form[$i];
        }

        $scope = strtolower(implode('_', $scope));

        $text = $this->getText($scope, $field);

        $text = htmlspecialchars($text);

        if ($text) {
            return '<button title="'.$text.'" onclick="return false;" class="mstcore-help-button back">?</button>';
        }
    }

    public function getText($scope, $code)
    {
        if (isset($this->_help[$scope]) && isset($this->_help[$scope][$code])) {
            $text = $this->_help[$scope][$code];
            $text = nl2br($text);
            return $text;
        }

        return $scope.'['.$code.']';
    }
}