<?php
 


class Limex_MstCore_Helper_Version extends Mage_Core_Helper_Abstract
{
    protected static $_edition = false;

    public static function getEdition()
    {
        if (!self::$_edition) {
            $configEE = BP."/app/code/core/Enterprise/Enterprise/etc/config.xml";
            if (!file_exists($configEE)) {
                self::$_edition = 'ce';
            } else {
                $xml = @simplexml_load_file($configEE,'SimpleXMLElement', LIBXML_NOCDATA);
                if ($xml !== false) {
                    $package = (string)$xml->default->design->package->name;
                    if (!$package) {
                        $package = strtolower(Mage::getEdition());
                    }
                    if ($package == 'enterprise') {
                        self::$_edition = 'ee';
                    } else {
                        self::$_edition = 'pe';
                    }
                } else {
                    self::$_edition = 'unknown';
                }
            }
        }
        return self::$_edition;
    }

    public function getModuleVersionFromDb($module)
    {
        $resource = Mage::getSingleton('core/resource');
        $connection = $resource->getConnection('core_write');
        $tableName = $resource->getTableName('core_resource');
        $query = "SELECT * FROM {$tableName} WHERE code='{$module}_setup'";
        $results = $connection->fetchAll($query);
        if (count($results) == 0) {
            return false;
        }
        return $results[0]['version'];
    }
}