<?php
 


class Limex_MstCore_Model_Feed_Extensions extends Limex_MstCore_Model_Feed_Abstract

{

    public function getList()

    {

        try {

            $xml   = $this->getFeed(Limex_MstCore_Helper_Config::EXTENSIONS_FEED_URL);

            $items = array();



            if ($xml) {

                foreach ($xml->xpath('extension') as $item) {

                    $items[(string) $item->sku] = array(

                        'name'     => (string) $item->name,

                        'sku'      => (string) $item->sku,

                        'version'  => (string) $item->version,

                        'revision' => (string) $item->revision,

                        'url'      => (string) $item->url,

                    );

                }

            }



            return $items;

        } catch (Exception $ex) {

            Mage::logException($ex);

        }



        return false;

    }

}